Bug 550655

Summary: libvirtd: 08:58:39.409: error : udevStrToLong_ui:73 : Failed to convert '008' to unsigned int#012
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: libvirtAssignee: Dave Allan <dallan>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, ikke, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-18 12:53:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom London 2009-12-26 12:05:35 EST
Description of problem:
On a 'mostly' freshly installed rawhide system, I noticed the following when I power cycled (on->off->on) a USB hard drive:

Dec 26 08:58:39 tlondon libvirtd: 08:58:39.409: error : udevStrToLong_ui:73 : Failed to convert '008' to unsigned int#012

Here is a bit more context from /var/log/messages:

Dec 26 08:58:30 tlondon kernel: usb 1-5.3: USB disconnect, address 7
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: new high speed USB device using ehci_hcd and address 8
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: New USB device found, idVendor=04b4, idProduct=6830
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: New USB device strings: Mfr=56, Product=78, SerialNumber=100
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: Product: USB2.0 Storage Device
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: Manufacturer: Cypress Semiconductor
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: SerialNumber: DEF107679C83
Dec 26 08:58:39 tlondon kernel: usb 1-5.3: configuration #1 chosen from 1 choice
Dec 26 08:58:39 tlondon kernel: scsi6 : SCSI emulation for USB Mass Storage devices
Dec 26 08:58:39 tlondon libvirtd: 08:58:39.409: error : udevStrToLong_ui:73 : Failed to convert '008' to unsigned int#012
Dec 26 08:58:41 tlondon kernel: btusb_intr_complete: hci0 urb ffff88010f18c318 failed to resubmit (1)
Dec 26 08:58:41 tlondon kernel: btusb_bulk_complete: hci0 urb ffff88010f18cc60 failed to resubmit (1)
Dec 26 08:58:41 tlondon kernel: btusb_bulk_complete: hci0 urb ffff88010f18c738 failed to resubmit (1)
Dec 26 08:58:45 tlondon kernel: scsi 6:0:0:0: Direct-Access     MAXTOR S TM3320620A            PQ: 0 ANSI: 0
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: Attached scsi generic sg3 type 0
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] 625142448 512-byte logical blocks: (320 GB/298 GiB)
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] Write Protect is off
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
Dec 26 08:58:45 tlondon kernel: sdc: sdc1
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] Assuming drive cache: write through
Dec 26 08:58:45 tlondon kernel: sd 6:0:0:0: [sdc] Attached SCSI disk
Dec 26 08:58:52 tlondon kernel: usb 1-5.3: reset high speed USB device using ehci_hcd and address 8
Dec 26 08:59:03 tlondon kernel: EXT4-fs (dm-2): warning: maximal mount count reached, running e2fsck is recommended
Dec 26 08:59:03 tlondon kernel: EXT4-fs (dm-2): recovery complete
Dec 26 08:59:03 tlondon kernel: EXT4-fs (dm-2): mounted filesystem with ordered data mode


Version-Release number of selected component (if applicable):
libvirt-0.7.5-1.fc13.x86_64

How reproducible:
Not sure....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-12-31 17:56:10 EST
Got this again, when I plugged in/turned on a brand new USB hard drive.

This time the message says:
Dec 31 14:51:40 tlondon libvirtd: 14:51:40.965: error : udevStrToLong_ui:73 : Failed to convert '008' to unsigned int#012

Dec 31 14:51:40 tlondon kernel: usb 1-1: new high speed USB device using ehci_hcd and address 8
Dec 31 14:51:40 tlondon kernel: usb 1-1: New USB device found, idVendor=059b, idProduct=0370
Dec 31 14:51:40 tlondon kernel: usb 1-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
Dec 31 14:51:40 tlondon kernel: usb 1-1: Product: Iomega
Dec 31 14:51:40 tlondon kernel: usb 1-1: Manufacturer: Iomega
Dec 31 14:51:40 tlondon kernel: usb 1-1: SerialNumber: FF310005280000000000009FF307FF
Dec 31 14:51:40 tlondon kernel: usb 1-1: configuration #1 chosen from 1 choice
Dec 31 14:51:40 tlondon kernel: scsi6 : SCSI emulation for USB Mass Storage devices
Dec 31 14:51:40 tlondon libvirtd: 14:51:40.965: error : udevStrToLong_ui:73 : Failed to convert '008' to unsigned int#012
Dec 31 14:51:43 tlondon kernel: btusb_intr_complete: hci0 urb ffff88010b74e738 failed to resubmit (1)
Dec 31 14:51:43 tlondon kernel: btusb_bulk_complete: hci0 urb ffff88011af04c60 failed to resubmit (1)
Dec 31 14:51:43 tlondon kernel: btusb_bulk_complete: hci0 urb ffff88010b74f188 failed to resubmit (1)
Dec 31 14:51:45 tlondon kernel: scsi 6:0:0:0: Direct-Access     Iomega E xternal HD       0000 PQ: 0 ANSI: 4
Dec 31 14:51:45 tlondon kernel: sd 6:0:0:0: Attached scsi generic sg4 type 0
Dec 31 14:51:45 tlondon kernel: sd 6:0:0:0: [sdd] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
Dec 31 14:51:46 tlondon kernel: sd 6:0:0:0: [sdd] Write Protect is off
Dec 31 14:51:46 tlondon kernel: sd 6:0:0:0: [sdd] Assuming drive cache: write through
Dec 31 14:51:46 tlondon kernel: sd 6:0:0:0: [sdd] Assuming drive cache: write through
Dec 31 14:51:46 tlondon kernel: sdd: sdd1
Dec 31 14:51:46 tlondon kernel: sd 6:0:0:0: [sdd] Assuming drive cache: write through
Dec 31 14:51:46 tlondon kernel: sd 6:0:0:0: [sdd] Attached SCSI disk
Dec 31 14:51:53 tlondon ntfs-3g[8607]: Version 2009.11.14 integrated FUSE 27
Dec 31 14:51:53 tlondon ntfs-3g[8607]: Mounted /dev/sdd1 (Read-Write, label "Iomega HDD", NTFS 3.1)
Dec 31 14:51:53 tlondon ntfs-3g[8607]: Cmdline options: rw,nosuid,nodev,uhelper=udisks,uid=500,gid=500,dmask=0077
Dec 31 14:51:53 tlondon ntfs-3g[8607]: Mount options: rw,nosuid,nodev,uhelper=udisks,silent,allow_other,nonempty,relatime,fsname=/dev/sdd1,blkdev,blksize=4096
Dec 31 14:51:53 tlondon ntfs-3g[8607]: Global ownership and permissions enforced
Comment 3 Ilkka Tengvall 2010-02-11 02:15:10 EST
I get it too while running the rawvirt -repo for fedora:

/var/log/messages
--------------------------------------
Feb 11 08:48:52 whipper libvirtd: 08:48:52.932: error : networkStartNetworkDaemon:907 : cannot create bridge 'virbr0': File exists
Feb 11 08:48:53 whipper libvirtd: 08:48:53.151: error : udevStrToLong_ui:78 : Failed to convert 'e0' to unsigned int
Feb 11 08:48:53 whipper libvirtd: 08:48:53.152: error : udevStrToLong_ui:78 : Failed to convert 'e0' to unsigned int
Feb 11 08:48:53 whipper libvirtd: 08:48:53.153: error : udevStrToLong_ui:78 : Failed to convert '0e' to unsigned int
Feb 11 08:48:53 whipper libvirtd: 08:48:53.154: error : udevStrToLong_ui:78 : Failed to convert '0e' to unsigned int
Feb 11 08:48:53 whipper libvirtd: 08:48:53.179: warning : qemudStartup:1099 : Unable to create cgroup for driver: No such device or address
Feb 11 08:48:53 whipper kernel: lo: Disabled Privacy Extensions
Feb 11 08:48:53 whipper libvirtd: 08:48:53.361: warning : lxcStartup:1755 : Unable to create cgroup for driver: No such device or address
Feb 11 08:52:54 whipper pulseaudio[9860]: ratelimit.c: 251 events suppressed
--------------------------------------

versions
--------------------------------------
$ rpm -qa '*kvm*' '*libvirt*' '*qemu*' '*virt*'
qemu-kvm-0.12.2-6.fc12.x86_64
qemu-img-0.12.2-6.fc12.x86_64
virt-viewer-0.2.1-1.fc12.x86_64
python-virtinst-0.500.2-1.fc12.noarch
libvirt-0.7.6-1.fc12.x86_64
etherboot-zroms-kvm-5.4.4-17.fc12.noarch
libvirt-client-0.7.6-1.fc12.x86_64
etherboot-roms-kvm-5.4.4-17.fc12.noarch
qemu-common-0.12.2-6.fc12.x86_64
virt-manager-0.8.3-1.fc12.noarch
libvirt-python-0.7.6-1.fc12.x86_64
gpxe-roms-qemu-1.0.0-1.fc12.noarch
qemu-system-x86-0.12.2-6.fc12.x86_64
--------------------------------------

F12 with kernel  2.6.31.12-174.2.3.fc12.x86_64
Comment 5 Bug Zapper 2010-03-15 09:41:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Cole Robinson 2010-05-18 12:53:40 EDT
This is already fixed in rawhide and F13